Upgrade von 12.2 nach 12.3

Hallo

Ich habe den Wechsel von 12.2. nach 12.3 mit zypper nach Anleitung probiert
Zuerst wurde über fehlende libkde4 gejammert, woraufhin ich ein Repository entgegen der Anleitung erweitern mußte
Index of /distribution/12.3/repo/oss/suse Steht unten in der Liste unter Nr.10, während die Anleitung behauptet, daß
Index of /distribution/12.3/repo/oss ausreichen würde.

Nach der Erweiterung wurde über andere fehlende Pakete gejammert, die aber in dem Repository vorhanden sind.

Das hat mich bewogen, die Finger vom Upgrade zu lassen.

zypper repos --uri

| Alias | Name | Aktiviert | Aktualisieren | URI

—±--------------------------±-----------------------------------±----------±--------------±----------------------------------------------------------------------------
1 | KDEUpdatedApps | KDEUpdatedApps | Ja | Ja | Index of /repositories/KDE:/UpdatedApps/openSUSE_12.3
2 | KDEextra | KDEextra | Ja | Ja | Index of /repositories/KDE:/Extra/openSUSE_12.3
3 | LibreOffice | LibreOffice | Ja | Ja | Index of /repositories/LibreOffice:/Stable/openSUSE_12.3
4 | Packman Repository | Packman Repository | Nein | Nein | Index of /suse/12.3/
5 | Packman_Essentials | Packman_Essentials | Nein | Nein | Index of /suse/openSUSE_12.3/Essentials/
6 | Packman_Multimedia | Packman_Multimedia | Nein | Nein | Index of /suse/openSUSE_12.3/Multimedia/
7 | fonts | fonts | Ja | Ja | Index of /repositories/M17N:/fonts/openSUSE_12.3
8 | java | java | Nein | Nein | http://download.opensuse.org/repositories/Java:/packages/openSUSE_12.3/
9 | libdvdcss repository | libdvdcss repository | Ja | Ja | http://opensuse-guide.org/repo/12.3/
10 | libkde4 | libkde4 | Ja | Ja | Index of /distribution/12.3/repo/oss/suse
11 | mozilla | mozilla | Ja | Ja | Index of /repositories/mozilla/openSUSE_12.3
12 | openSUSE-12.3-1.6 | openSUSE-12.3-1.6 | Ja | Nein | cd:///?devices=/dev/disk/by-id/ata-TSSTcorp_CDDVDW_TS-U633A,/dev/sr0
13 | repo-debug | openSUSE-12.3-Debug | Nein | Ja | Index of /debug/distribution/12.3/repo/oss
14 | repo-debug-update | openSUSE-12.3-Update-Debug | Nein | Ja | Index of /debug/update/12.3
15 | repo-debug-update-non-oss | openSUSE-12.3-Update-Debug-Non-Oss | Nein | Ja | Index of /debug/update/12.3-non-oss
16 | repo-non-oss | openSUSE-12.3-Non-Oss | Ja | Ja | Index of /distribution/12.3/repo/non-oss
17 | repo-oss | openSUSE-12.3-Oss | Ja | Ja | Index of /distribution/12.3/repo/oss
18 | repo-source | openSUSE-12.3-Source | Nein | Ja | Index of /source/distribution/12.3/repo/oss
19 | repo-update | openSUSE-12.3-Update | Ja | Ja | Index of /update/12.3
20 | repo-update-non-oss | openSUSE-12.3-Update-Non-Oss | Ja | Ja | Index of /update/12.3-non-oss
21 | wine | wine | Ja | Ja | Index of /repositories/Emulators:/Wine/openSUSE_12.3

Stimmt auch. Entferne den Eintrag mit libkde4 wieder.

Bitte mal die genauen Fehlermeldungen posten. Ist sonst nur Raterei.

Ich würde mal die ersten beiden Repositories deaktivieren:
1 | KDEUpdatedApps | KDEUpdatedApps | Ja | Ja | Index of /repositories/KDE:/UpdatedApps/openSUSE_12.3
2 | KDEextra | KDEextra | Ja | Ja | Index of /repositories/KDE:/Extra/openSUSE_12.3

Für bessere Tipps kann aber die exakte Fehlermeldung nicht schaden :wink: